summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/scripts/texlive-extra
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2020-01-21 18:33:23 +0000
committerKarl Berry <karl@freefriends.org>2020-01-21 18:33:23 +0000
commit7062d8632ec7d062d8f94ed590771e4ece15bb04 (patch)
treeb6c7020967eaf010cf458ed70202f9648b9a85ff /Master/texmf-dist/scripts/texlive-extra
parent3e7076615c70dc952983d6425a00711927c9cea4 (diff)
texmf-dist/scripts/texlive-extra: new directory, for miscellanous
scripts maintained as part of TeX Live, but not important for infrastructure or installation. allcm.sh, allneeded.sh: move there (from scripts/texlive). texlive-extra.tlpsrc: new package. tetex.tlpsrc: remove all*.sh and man pages from here. collection-binextra.tlpsrc: add texlive-extra here. bin/*/all*: adjust symlinks. Build/.../texlive/linked_scripts/texlive-extra: new slave directory. Adjust Makefile.am, including creating allec symlink here. Build/.../texlive/tl_scripts: remove allcm.sh, allneeded.sh here. Adjust Makefile.am. Many more to move ... git-svn-id: svn://tug.org/texlive/trunk@53480 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/texmf-dist/scripts/texlive-extra')
-rw-r--r--Master/texmf-dist/scripts/texlive-extra/README18
-rwxr-xr-xMaster/texmf-dist/scripts/texlive-extra/allcm.sh118
-rwxr-xr-xMaster/texmf-dist/scripts/texlive-extra/allneeded.sh46
3 files changed, 182 insertions, 0 deletions
diff --git a/Master/texmf-dist/scripts/texlive-extra/README b/Master/texmf-dist/scripts/texlive-extra/README
new file mode 100644
index 00000000000..53854c6f407
--- /dev/null
+++ b/Master/texmf-dist/scripts/texlive-extra/README
@@ -0,0 +1,18 @@
+$Id$
+Master/texmf-dist/scripts/texlive-extra
+(This file is public domain.)
+
+This directory contains scripts maintained as part of TeX Live. Unlike
+everything else under Master/texmf-dist/scripts, except scripts/texlive,
+these scripts are actually maintained here, and not under Build.
+
+These scripts are not important for the infrastructure or installation
+of TeX Live. They just happen to be maintained by us; many were
+inherited from teTeX.
+
+See texmf-dist/scripts/texlive/README (i.e., ../texlive/README) for more
+info.
+
+The principal mailing list is http://lists.tug.org/tex-live.
+
+All of these scripts are free software, mostly public domain.
diff --git a/Master/texmf-dist/scripts/texlive-extra/allcm.sh b/Master/texmf-dist/scripts/texlive-extra/allcm.sh
new file mode 100755
index 00000000000..945c7c88457
--- /dev/null
+++ b/Master/texmf-dist/scripts/texlive-extra/allcm.sh
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+test -f /bin/sh5 && test -z "$RUNNING_SH5" \
+ && { UNAMES=`uname -s`; test "x$UNAMES" = xULTRIX; } 2>/dev/null \
+ && { RUNNING_SH5=true; export RUNNING_SH5; exec /bin/sh5 $0 ${1+"$@"}; }
+unset RUNNING_SH5
+
+test -f /bin/bsh && test -z "$RUNNING_BSH" \
+ && { UNAMES=`uname -s`; test "x$UNAMES" = xAIX; } 2>/dev/null \
+ && { RUNNING_BSH=true; export RUNNING_BSH; exec /bin/bsh $0 ${1+"$@"}; }
+unset RUNNING_BSH
+
+# hack around a bug in zsh:
+test -n "${ZSH_VERSION+set}" && alias -g '${1+"$@"}'='"$@"'
+
+progname=`basename $0`
+tmpdir=${TMPDIR-${TEMP-${TMP-/tmp}}}/$progname.$$
+
+case "$progname" in
+ allec)
+ encoding=T1;;
+ *)
+ encoding=OT1;;
+esac
+
+case "$1" in
+ -r)
+ DVIPS=dvired
+ shift
+ ;;
+ *)
+ DVIPS=dvips
+ ;;
+esac
+
+body()
+{
+ cat <<-'eof'
+ \pagestyle{empty}
+ \parindent0in
+ \hfuzz=\maxdimen
+ \hbadness=10000
+ \textheight9.5in
+ \textwidth6.5in
+ \newcommand{\myformula}{\sum a_{b_{c_d}} = c}
+ \newcommand{\mytext}{text $\mathcal{\myformula}\mathrm{\myformula}
+ \mathbf{\myformula}\mathsf{\myformula}\mathtt{\myformula}
+ \mathnormal{\myformula}\mathit{\myformula}$}
+
+ \newcommand{\TestSizes}{{%
+ \tiny \mytext\scriptsize \mytext\footnotesize \mytext\small \mytext
+ \normalsize \mytext
+ \large \mytext\Large \mytext\LARGE \mytext\huge \mytext\Huge \mytext}}
+ \newcommand{\TestRM}{rm-family: {\rmfamily\TestSizes}\newline}
+ \newcommand{\TestSF}{sf-family: {\sffamily\TestSizes}\newline}
+ \newcommand{\TestTT}{tt-family: {\ttfamily\TestSizes}\newline}
+ \newcommand{\TestFamilies}{\TestRM\TestSF\TestTT\newline}
+ \newcommand{\TestMD}{md-series: {\mdseries\TestFamilies}}
+ \newcommand{\TestBF}{bf-series: {\bfseries\TestFamilies}}
+ \newcommand{\TestSeries}{\TestBF\TestMD\par}
+ \newcommand{\TestUP}{up-shape: {\upshape\TestSeries}\par}
+ \newcommand{\TestIT}{it-shape: {\itshape\TestSeries}\par}
+ \newcommand{\TestSL}{sl-shape: {\slshape\TestSeries}\par}
+ \newcommand{\TestSC}{sc-shape: {\scshape\TestSeries}\par}
+ \newcommand{\TestShapes}{\TestUP\TestIT\TestSL\TestSC}
+ \begin{document}
+ \TestShapes
+ \end{document}
+eof
+}
+
+head()
+{
+ echo '\documentclass['$1'pt]{article}'
+ echo '\usepackage['$encoding']{fontenc}'
+}
+
+# before we create the tmpdir, set trap for cleanup
+trap '
+ rm -rf $tmpdir
+ exit 1
+' 1 2 3 7 13 15
+
+(umask 077; mkdir "$tmpdir") || {
+ echo "$progname: failed to create temp directory." >&2
+ exit 1
+}
+
+cd $tmpdir || exit 1
+echo >&2
+echo "---------------------------------------------------------------------" >&2
+echo ">>>>>>>>>>> Generating testfiles for 10pt, 11pt and 12pt. <<<<<<<<<<" >&2
+echo "---------------------------------------------------------------------" >&2
+head 10 > allcm10.tex
+head 11 > allcm11.tex
+head 12 > allcm12.tex
+body >> allcm10.tex
+body >> allcm11.tex
+body >> allcm12.tex
+
+echo >&2
+echo "---------------------------------------------------------------------" >&2
+echo ">>>>>>>>>>> Calling latex... <<<<<<<<<<" >&2
+echo "---------------------------------------------------------------------" >&2
+latex allcm10 >/dev/null
+latex allcm11 >/dev/null
+latex allcm12 >/dev/null
+
+echo >&2
+echo "---------------------------------------------------------------------" >&2
+echo ">>>>>>>>>>> Now, calling $DVIPS to make missing fonts... <<<<<<<<<<" >&2
+echo "---------------------------------------------------------------------" >&2
+$DVIPS ${1+"$@"} -V -f allcm10 > /dev/null
+$DVIPS ${1+"$@"} -V -f allcm11 > /dev/null
+$DVIPS ${1+"$@"} -V -f allcm12 > /dev/null
+
+cd /
+rm -rf $tmpdir
diff --git a/Master/texmf-dist/scripts/texlive-extra/allneeded.sh b/Master/texmf-dist/scripts/texlive-extra/allneeded.sh
new file mode 100755
index 00000000000..15c62c84adb
--- /dev/null
+++ b/Master/texmf-dist/scripts/texlive-extra/allneeded.sh
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+test -f /bin/sh5 && test -z "$RUNNING_SH5" \
+ && { UNAMES=`uname -s`; test "x$UNAMES" = xULTRIX; } 2>/dev/null \
+ && { RUNNING_SH5=true; export RUNNING_SH5; exec /bin/sh5 $0 ${1+"$@"}; }
+unset RUNNING_SH5
+
+test -f /bin/bsh && test -z "$RUNNING_BSH" \
+ && { UNAMES=`uname -s`; test "x$UNAMES" = xAIX; } 2>/dev/null \
+ && { RUNNING_BSH=true; export RUNNING_BSH; exec /bin/bsh $0 ${1+"$@"}; }
+unset RUNNING_BSH
+
+progname=`basename $0`
+dvired=false
+
+case $1 in
+-r) DVIPS="dvips -x707"
+ shift;;
+*) DVIPS=dvips;;
+esac
+
+case $# in
+0) echo "Usage: $progname [-r] files ..." >&2
+ exit ;;
+esac
+
+findopt=
+dvipsopt=
+
+for i
+do
+ if [ -f $i ] || [ -d $i ]; then
+ findopt="$findopt $i"
+ else
+ dvipsopt="$dvipsopt $i"
+ fi
+done
+
+find $findopt -name \*.dvi -type f -print |
+ while true; do
+ read i
+ test -z "$i" && exit
+ echo "processing file '$i' ..."
+ $DVIPS $dvipsopt -f "$i" >/dev/null
+ echo
+ done